import { FileInput } from "../src/types";

export default [
    {
        key: "credit_navigate_bifurcated.otf",
        name: "credit_navigate_bifurcated.otf",
        size: 90878,
        type: "font/otf",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "communications_concept_compressing.jpeg",
        name: "communications_concept_compressing.jpeg",
        size: 67864,
        type: "image/jpeg",
        aliases: [],
        tags: ["banners"]
    },
    {
        key: "bi_directional_awesome.jpeg",
        name: "bi_directional_awesome.jpeg",
        size: 18233,
        type: "image/jpeg",
        aliases: [],
        tags: ["blog", "banners"]
    },
    {
        key: "deposit_money_program.pdf",
        name: "deposit_money_program.pdf",
        size: 29003,
        type: "application/pdf",
        aliases: [],
        tags: ["blog", "science", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "loop_policy.png",
        name: "loop_policy.png",
        size: 34155,
        type: "image/png",
        aliases: [],
        tags: ["serverless"]
    },
    {
        key: "copying_json.png",
        name: "copying_json.png",
        size: 89979,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "science", "banners"]
    },
    {
        key: "human_unbranded_moldova.png",
        name: "human_unbranded_moldova.png",
        size: 2977,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "science", "internet"]
    },
    {
        key: "scsi.html",
        name: "scsi.html",
        size: 11627,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "vehicles", "banners"]
    },
    {
        key: "small_wireless_principal.html",
        name: "small_wireless_principal.html",
        size: 33391,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners", "internet"]
    },
    {
        key: "salad_payment_frame.png",
        name: "salad_payment_frame.png",
        size: 13381,
        type: "image/png",
        aliases: [],
        tags: ["blog", "science"]
    },
    {
        key: "grow.html",
        name: "grow.html",
        size: 7165,
        type: "text/html",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "blockchains_teal.png",
        name: "blockchains_teal.png",
        size: 16305,
        type: "image/png",
        aliases: [],
        tags: ["vehicles"]
    },
    {
        key: "health_viral.jpeg",
        name: "health_viral.jpeg",
        size: 41274,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "internet", "serverless"]
    },
    {
        key: "bypassing_bacon_checking.pdf",
        name: "bypassing_bacon_checking.pdf",
        size: 89908,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "science", "food", "banners", "internet", "serverless"]
    },
    {
        key: "infrastructure_connecting.jpeg",
        name: "infrastructure_connecting.jpeg",
        size: 16201,
        type: "image/jpeg",
        aliases: [],
        tags: ["science", "banners"]
    },
    {
        key: "chief.html",
        name: "chief.html",
        size: 2330,
        type: "text/html",
        aliases: [],
        tags: ["blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "buckinghamshire_maroon_wooden.jpeg",
        name: "buckinghamshire_maroon_wooden.jpeg",
        size: 66512,
        type: "image/jpeg",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "platforms_lavender.png",
        name: "platforms_lavender.png",
        size: 91223,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "vehicles", "internet"]
    },
    {
        key: "navigating_adapter.jpeg",
        name: "navigating_adapter.jpeg",
        size: 31983,
        type: "image/jpeg",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "png_home_navigating.pdf",
        name: "png_home_navigating.pdf",
        size: 58734,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet"]
    },
    {
        key: "dakota.jpeg",
        name: "dakota.jpeg",
        size: 89357,
        type: "image/jpeg",
        aliases: [],
        tags: ["vehicles", "internet"]
    },
    {
        key: "beauty_human_tennessee.jpeg",
        name: "beauty_human_tennessee.jpeg",
        size: 11477,
        type: "image/jpeg",
        aliases: [],
        tags: ["science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "practical_creative_steel.otf",
        name: "practical_creative_steel.otf",
        size: 79464,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "banners", "internet"]
    },
    {
        key: "gorgeous.html",
        name: "gorgeous.html",
        size: 66274,
        type: "text/html",
        aliases: [],
        tags: ["science", "food", "banners"]
    },
    {
        key: "profound.otf",
        name: "profound.otf",
        size: 54094,
        type: "font/otf",
        aliases: [],
        tags: ["food", "banners"]
    },
    {
        key: "checking_redefine.pdf",
        name: "checking_redefine.pdf",
        size: 85740,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "science", "food", "banners"]
    },
    {
        key: "deposit_customer.pdf",
        name: "deposit_customer.pdf",
        size: 61733,
        type: "application/pdf",
        aliases: [],
        tags: ["science", "serverless"]
    },
    {
        key: "cotton_calculating.png",
        name: "cotton_calculating.png",
        size: 25516,
        type: "image/png",
        aliases: [],
        tags: ["blog", "science", "internet"]
    },
    {
        key: "plastic_uic_franc.pdf",
        name: "plastic_uic_franc.pdf",
        size: 1601,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "internet", "serverless"]
    },
    {
        key: "virtual.html",
        name: "virtual.html",
        size: 74719,
        type: "text/html",
        aliases: [],
        tags: ["science", "serverless"]
    },
    {
        key: "infrastructures.pdf",
        name: "infrastructures.pdf",
        size: 1492,
        type: "application/pdf",
        aliases: [],
        tags: ["blog", "science", "food"]
    },
    {
        key: "refined.jpeg",
        name: "refined.jpeg",
        size: 82308,
        type: "image/jpeg",
        aliases: [],
        tags: ["blog", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "arizona.jpeg",
        name: "arizona.jpeg",
        size: 58394,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners"]
    },
    {
        key: "capacitor.otf",
        name: "capacitor.otf",
        size: 17502,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners"]
    },
    {
        key: "organic.otf",
        name: "organic.otf",
        size: 46,
        type: "font/otf",
        aliases: [],
        tags: ["blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "online_cotton_invoice.jpeg",
        name: "online_cotton_invoice.jpeg",
        size: 36788,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet"]
    },
    {
        key: "plastic.pdf",
        name: "plastic.pdf",
        size: 26288,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "vehicles", "banners"]
    },
    {
        key: "cross_media_tasty.html",
        name: "cross_media_tasty.html",
        size: 55115,
        type: "text/html",
        aliases: [],
        tags: ["science", "banners", "serverless"]
    },
    {
        key: "supply_chains_magenta.otf",
        name: "supply_chains_magenta.otf",
        size: 49997,
        type: "font/otf",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "magenta_vatu_manager.pdf",
        name: "magenta_vatu_manager.pdf",
        size: 41041,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "scale_arizona_withdrawal.jpeg",
        name: "scale_arizona_withdrawal.jpeg",
        size: 24036,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "food", "vehicles", "banners", "internet"]
    },
    {
        key: "cuban.html",
        name: "cuban.html",
        size: 86554,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "banners", "internet", "serverless"]
    },
    {
        key: "up_iowa_fish.html",
        name: "up_iowa_fish.html",
        size: 41491,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "override_compress_users.html",
        name: "override_compress_users.html",
        size: 12911,
        type: "text/html",
        aliases: [],
        tags: ["science", "food", "vehicles", "banners"]
    },
    {
        key: "health.png",
        name: "health.png",
        size: 23277,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "internet"]
    },
    {
        key: "customizable_architect.png",
        name: "customizable_architect.png",
        size: 1035,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "science", "food", "banners", "internet", "serverless"]
    },
    {
        key: "street.jpeg",
        name: "street.jpeg",
        size: 38921,
        type: "image/jpeg",
        aliases: [],
        tags: ["food", "internet", "serverless"]
    },
    {
        key: "markets_outdoors_networks.otf",
        name: "markets_outdoors_networks.otf",
        size: 66459,
        type: "font/otf",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "maroon.pdf",
        name: "maroon.pdf",
        size: 74890,
        type: "application/pdf",
        aliases: [],
        tags: ["science", "banners"]
    },
    {
        key: "generic_communities_enterprise.otf",
        name: "generic_communities_enterprise.otf",
        size: 61747,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "computer_sexy_saint.png",
        name: "computer_sexy_saint.png",
        size: 45891,
        type: "image/png",
        aliases: [],
        tags: ["blog", "serverless"]
    },
    {
        key: "alliance.png",
        name: "alliance.png",
        size: 36699,
        type: "image/png",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "chair.pdf",
        name: "chair.pdf",
        size: 70666,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "designer_haptic_loan.otf",
        name: "designer_haptic_loan.otf",
        size: 26669,
        type: "font/otf",
        aliases: [],
        tags: ["food"]
    },
    {
        key: "division_directional.otf",
        name: "division_directional.otf",
        size: 87269,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "science", "internet"]
    },
    {
        key: "movies.otf",
        name: "movies.otf",
        size: 8013,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "food", "vehicles", "internet", "serverless"]
    },
    {
        key: "background.pdf",
        name: "background.pdf",
        size: 17190,
        type: "application/pdf",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "pizza_info_mediaries_licensed.png",
        name: "pizza_info_mediaries_licensed.png",
        size: 92963,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "industrial_licensed_synergies.png",
        name: "industrial_licensed_synergies.png",
        size: 89869,
        type: "image/png",
        aliases: [],
        tags: ["vehicles", "internet", "serverless"]
    },
    {
        key: "district_instruction.html",
        name: "district_instruction.html",
        size: 95009,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "fresh.otf",
        name: "fresh.otf",
        size: 54095,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "wooden_utilisation.html",
        name: "wooden_utilisation.html",
        size: 37343,
        type: "text/html",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "sports_overriding_corporate.pdf",
        name: "sports_overriding_corporate.pdf",
        size: 13091,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "parsing_cambodia.html",
        name: "parsing_cambodia.html",
        size: 80223,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles"]
    },
    {
        key: "philippine_verde.jpeg",
        name: "philippine_verde.jpeg",
        size: 84513,
        type: "image/jpeg",
        aliases: [],
        tags: ["science", "food"]
    },
    {
        key: "checking_keyboard.jpeg",
        name: "checking_keyboard.jpeg",
        size: 83500,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "card_central_intelligent.otf",
        name: "card_central_intelligent.otf",
        size: 47416,
        type: "font/otf",
        aliases: [],
        tags: ["food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "configuration_account.html",
        name: "configuration_account.html",
        size: 4470,
        type: "text/html",
        aliases: [],
        tags: ["blog", "science", "food"]
    },
    {
        key: "transmit_up_sized.png",
        name: "transmit_up_sized.png",
        size: 21935,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "producer.jpeg",
        name: "producer.jpeg",
        size: 19572,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "food", "vehicles", "banners", "internet"]
    },
    {
        key: "electronics_buckinghamshire.jpeg",
        name: "electronics_buckinghamshire.jpeg",
        size: 45156,
        type: "image/jpeg",
        aliases: [],
        tags: ["science", "banners", "serverless"]
    },
    {
        key: "developer_granite_computers.pdf",
        name: "developer_granite_computers.pdf",
        size: 22119,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "saudi_wooden.png",
        name: "saudi_wooden.png",
        size: 12700,
        type: "image/png",
        aliases: [],
        tags: ["vehicles"]
    },
    {
        key: "generate.png",
        name: "generate.png",
        size: 70181,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "vehicles"]
    },
    {
        key: "synergies_pizza.jpeg",
        name: "synergies_pizza.jpeg",
        size: 67525,
        type: "image/jpeg",
        aliases: [],
        tags: ["science", "food", "banners", "internet", "serverless"]
    },
    {
        key: "fantastic.pdf",
        name: "fantastic.pdf",
        size: 11631,
        type: "application/pdf",
        aliases: [],
        tags: ["blog", "science", "internet", "serverless"]
    },
    {
        key: "open_source_unleash.pdf",
        name: "open_source_unleash.pdf",
        size: 60813,
        type: "application/pdf",
        aliases: [],
        tags: ["landscape", "science", "vehicles", "internet"]
    },
    {
        key: "relationships_transmit.html",
        name: "relationships_transmit.html",
        size: 67630,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "serverless"]
    },
    {
        key: "cambridgeshire_cotton.png",
        name: "cambridgeshire_cotton.png",
        size: 62395,
        type: "image/png",
        aliases: [],
        tags: ["blog", "food", "banners"]
    },
    {
        key: "web_enabled_administrator.jpeg",
        name: "web_enabled_administrator.jpeg",
        size: 62436,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "vehicles"]
    },
    {
        key: "small_garden_optimal.png",
        name: "small_garden_optimal.png",
        size: 83728,
        type: "image/png",
        aliases: [],
        tags: ["blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "pants_withdrawal_withdrawal.pdf",
        name: "pants_withdrawal_withdrawal.pdf",
        size: 62606,
        type: "application/pdf",
        aliases: [],
        tags: ["vehicles", "internet"]
    },
    {
        key: "balanced.html",
        name: "balanced.html",
        size: 19424,
        type: "text/html",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "experiences_networked_associate.jpeg",
        name: "experiences_networked_associate.jpeg",
        size: 90088,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "banners", "serverless"]
    },
    {
        key: "exuding_practical.otf",
        name: "exuding_practical.otf",
        size: 78372,
        type: "font/otf",
        aliases: [],
        tags: ["landscape", "science", "food", "banners", "internet"]
    },
    {
        key: "madagascar_front_line.otf",
        name: "madagascar_front_line.otf",
        size: 61551,
        type: "font/otf",
        aliases: [],
        tags: ["blog", "serverless"]
    },
    {
        key: "collaborative_keyboard.png",
        name: "collaborative_keyboard.png",
        size: 77224,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "vehicles", "banners"]
    },
    {
        key: "dollar_soft.otf",
        name: "dollar_soft.otf",
        size: 2573,
        type: "font/otf",
        aliases: [],
        tags: [
            "landscape",
            "blog",
            "science",
            "food",
            "vehicles",
            "banners",
            "internet",
            "serverless"
        ]
    },
    {
        key: "handmade_payment_synergies.jpeg",
        name: "handmade_payment_synergies.jpeg",
        size: 99745,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "global_silver_dominica.png",
        name: "global_silver_dominica.png",
        size: 561,
        type: "image/png",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "glen_vortals.html",
        name: "glen_vortals.html",
        size: 7929,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "blog", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "optical.jpeg",
        name: "optical.jpeg",
        size: 33409,
        type: "image/jpeg",
        aliases: [],
        tags: ["landscape", "science", "food", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "quantifying_reverse_engineered.otf",
        name: "quantifying_reverse_engineered.otf",
        size: 31476,
        type: "font/otf",
        aliases: [],
        tags: ["blog", "science", "vehicles", "banners", "internet", "serverless"]
    },
    {
        key: "internal_account_cordoba.html",
        name: "internal_account_cordoba.html",
        size: 84272,
        type: "text/html",
        aliases: [],
        tags: ["blog"]
    },
    {
        key: "global_partnerships.jpeg",
        name: "global_partnerships.jpeg",
        size: 12934,
        type: "image/jpeg",
        aliases: [],
        tags: ["food", "internet", "serverless"]
    },
    {
        key: "producer_developer_representative.html",
        name: "producer_developer_representative.html",
        size: 90439,
        type: "text/html",
        aliases: [],
        tags: ["landscape", "banners"]
    },
    {
        key: "hryvnia_invoice.html",
        name: "hryvnia_invoice.html",
        size: 34696,
        type: "text/html",
        aliases: [],
        tags: ["blog", "vehicles", "banners"]
    },
    {
        key: "cheese_legacy_secondary.pdf",
        name: "cheese_legacy_secondary.pdf",
        size: 90337,
        type: "application/pdf",
        aliases: [],
        tags: ["blog", "science", "food", "vehicles", "banners", "serverless"]
    },
    {
        key: "programming_gold.otf",
        name: "programming_gold.otf",
        size: 82745,
        type: "font/otf",
        aliases: [],
        tags: ["vehicles", "banners"]
    },
    {
        key: "algeria_utah.jpeg",
        name: "algeria_utah.jpeg",
        size: 72842,
        type: "image/jpeg",
        aliases: [],
        tags: ["serverless"]
    }
] as Partial<FileInput>[];
